<!DOCTYPE html>
<html lang="de" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Nutzer-Übersicht</title>
    <link rel="shortcut icon" type="image/png" th:href="@{/public/img/favicon.ico}" sizes="32x32">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>our awesome blog</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bulma/0.7.5/css/bulma.min.css">
    <link rel="stylesheet" href="/style.css"/>
    <script defer src="https://use.fontawesome.com/releases/v5.3.1/js/all.js"></script>
</head>
<body>
<section class="section">
    <nav class="navbar dunkelgrün has-text-weight-semibold is-fixed-top is-spaced 2 "
         role="navigation"
         aria-label="main navigation">
        <div class="container">
            <div class="navbar-brand">
                <a href="/beitraege"><span
                        class="has-text-weight-bold is-size-3 has-text-black">OurAwesomeBlog</span></a>
            </div>
            <div class="navbar-end">
                <a class="navbar-item" th:href="@{/login}" th:if="${sessionNutzer == null}">Login</a>

                <a class="navbar-item" th:href="@{/registrieren}" th:if="${sessionNutzer == null}">Registrieren</a>

                <form class="navbar-item" th:if="${sessionNutzer != null}" method="post" th:action="@{/logout}">
                    <button class="button dunkelgrün" type="submit">Logout</button>
                </form>

            </div>
        </div>
    </nav>
</section>

<section>
    <div class="container box rose has-text-centered">
        <span class="has-text-weight-bold" th:text="${'Nutzername: ' + nutzer.nutzername}"></span>
    </div>
</section>

<div class="container box rose has-text-centered">
<div th:if="${sessionNutzer != null}">

    <form th:object="${nutzerAdminDTO}" th:action="@{/nutzer/{id}(id=${nutzer.id})}" th:if="${sessionNutzer.adminstatus}"
          method="post">
        <span class="has-text-weight-bold">Admin: </span><input type="checkbox" name="admin" th:field="*{adminstatus}"/>
        <button class="button helleresgrün" type="submit">Speichern</button>
</form>
</div>
</div>
<footer class="footer has-text-centered ">
    <strong>OurAwesomeBlog</strong> by Jessica Gettkandt and Moritz Bechtold.
</footer>
</body>
</html>